<!doctype html>
<html>

<head>
	<title>Formularanalyse</title>
	<meta charset="utf-8">
	<style>
		body {
			font-family: Helvetica;
			margin: 20px;
		}

		h1,
		h2 {
			padding: 4px;
			font-size: 16px;
			font-weight: bold;
		}

		h1 {
			padding: 16px;
			background-color: #ddd;
		}

		h2 {
			font-weight: normal;
			font-variant: small-caps;
			color: #880000;
		}

		.url {
			margin: 30px 0 20px 0;
			text-align: center;
			font-size: 20px;
		}

		th,
		td {
			padding: 4px;
			border: 1px solid #888;
		}

		th {
			color: #ccc;
		}

		table {
			margin-bottom: 30px;
		}

		.keyheader {
			background-color: #0000a0;
		}

		.valueheader {
			background-color: #ff6000;
		}

		.key {
			color: #0000a0;
		}

		.value {
			color: #ff6000;
		}
	</style>
</head>

<body>
	<h1>Auswertung der übermittelten Formulardaten</h1>

	<div class="url">
		Aufgerufene URI:
		<span style="color:#008800;"><?php echo $_SERVER["SERVER_NAME"] . ":" . $_SERVER["SERVER_PORT"] . "" . $_SERVER["REQUEST_URI"] ?></span>
		&nbsp;(Protokoll: <?php echo $_SERVER["SERVER_PROTOCOL"] ?>
		&nbsp;- Methode: <?php echo $_SERVER["REQUEST_METHOD"] ?>)
	</div>

	<h2>GET-Parameter</h2>
	<table>
		<tr>
			<th class="keyheader">Schlüssel</th>
			<th class="valueheader">Wert</th>
		</tr>
		<?php
		foreach ($_GET as $key => $value) {
		?>
			<tr>
				<td class="key"><?php echo $key ?></td>
				<td class="value"><?php echo $value ?></td>
			</tr>
		<?php
		}
		?>
	</table>

	<h2>POST-Parameter</h2>
	<table>
		<tr>
			<th class="keyheader">Schlüssel</th>
			<th class="valueheader">Wert</th>
		</tr>
		<?php
		foreach ($_POST as $key => $value) {
		?>
			<tr>
				<td class="key"><?php echo $key ?></td>
				<td class="value"><?php echo $value ?></td>
			</tr>
		<?php
		}
		?>
	</table>

	<h2>Sonstige Werte</h2>
	<table>
		<tr>
			<th class="keyheader">Schl�ssel</th>
			<th class="valueheader">Wert</th>
		</tr>
		<?php
		foreach ($_SERVER as $key => $value) {
		?>
			<tr>
				<td class="key"><?php echo $key ?></td>
				<td class="value"><?php echo $value ?></td>
			</tr>
		<?php
		}
		?>
	</table>

</body>

</html>